Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.diagnostician
Class ECPValidatorRegistry

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<org.eclipse.emf.ecore.EPackage,Object>
              org.eclipse.emf.ecore.impl.EValidatorRegistryImpl
                  org.eclipse.emf.ecp.internal.diagnostician.ECPValidatorRegistry

All Implemented Interfaces:
  Serializable, Cloneable, Map<org.eclipse.emf.ecore.EPackage,Object>, org.eclipse.emf.ecore.EValidator.Registry

    public final class ECPValidatorRegistry

extends org.eclipse.emf.ecore.impl.EValidatorRegistryImpl

`Registry` for `ECPValidators`. The validators are retrieved from the extension point.

Author:
  jfaltermeier
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`static ECPValidatorRegistry` | `INSTANCE` The instance.

Method Summary
`boolean` | `hasValidator(org.eclipse.emf.ecore.EClassifier classifier)` Check if the registry contains a validator for the given classifier.

Methods inherited from class org.eclipse.emf.ecore.impl.EValidatorRegistryImpl
`containsKey, get, getEValidator`

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsValue, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### INSTANCE

    public static final ECPValidatorRegistry INSTANCE

  The instance.

Method Detail

### hasValidator

    public boolean hasValidator(org.eclipse.emf.ecore.EClassifier classifier)

  Check if the registry contains a validator for the given classifier.

  Parameters:
    `classifier` - the classifier to check
  Returns:
    `true` if validator is registerd, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.